<template>
  <q-page class="bg-grey-2 q-pa-sm">
     <div class="col-xs-6 col-sm-6 col-md-4 col-lg-3 col-xl-2">
        <q-table
          :data="form"
          :columns="columns"
          row-key="carrera"
          :title="title"
          >
          <template v-slot:top-right>
          <q-btn round class="bg-positive" icon="done" style="margin-right: 4px" @click="acepted(form[0].dni)">
            <q-tooltip>
              Aprovación de la Solicitud
            </q-tooltip>
          </q-btn>
          <q-btn round class="bg-negative" icon="error">
            <q-tooltip>
              Rechazo de la Solicitud
            </q-tooltip>
          </q-btn>
          </template>
        </q-table>
          <template>
            <div class="q-pa-md q-gutter-sm">
              <q-dialog v-model="band" persistent transition-show="scale" transition-hide="scale">
                <q-card class="bg-teal text-white" style="width: 300px">
                  <q-card-section>
                    <div class="text-h6">Atencion</div>
                  </q-card-section>
                  <q-card-section class="q-pt-none">
                    Se ha aprovado la solicitud de admisión para el estudiante, se enviará un correo electronico al mismo para continuar con el proceso de inscripción
                  </q-card-section>
                  <q-card-actions aling="right" class="bg-white text-teal">
                    <q-btn flat label="Listo" @click="close()"/>
                  </q-card-actions>
                </q-card>
              </q-dialog>
            </div>
          </template>
     </div>
  </q-page>
</template>
<script>
import { date } from 'quasar'
export default {
  computed: {
    user () {
      return (this.$route.params.dni)
    }
  },
  watch: {
    user: function (val) {
      return this.getUser(val)
    }
  },
  data () {
    return {
      band: false,
      title: '',
      form: [],
      columns: [
        {
          name: 'carrera',
          required: true,
          align: 'left',
          field: row => row.carrera,
          label: 'Carrera',
          format: val => `${val}`,
          sortable: true
        },
        {
          name: 'name',
          align: 'rigth',
          field: 'name',
          label: 'Nombre',
          sortable: true
        },
        {
          name: 'dni',
          align: 'left',
          field: 'dni',
          label: 'Cedula',
          sortable: true
        },
        {
          name: 'date',
          align: 'rigth',
          field: 'date',
          label: 'F/N',
          sortable: true
        },
        {
          name: 'email',
          align: 'left',
          field: 'email',
          label: 'Correo',
          sortable: true
        },
        {
          name: 'sexo',
          align: 'rigth',
          field: 'sexo',
          label: 'Sexo',
          sortable: true
        },
        {
          name: 'pais',
          align: 'left',
          field: 'pais',
          label: 'Pais',
          sortable: true
        }
      ]
    }
  },
  methods: {
    acepted (dni) {
      this.$q.loading.show()
      this.$api.post('AceptedStudent/' + dni).then(res => {
        this.band = true
        this.$q.loading.hide()
      })
    },
    close () {
      this.band = false
      this.$root.$emit('notify')
      this.$router.push('/list')
    },
    getUser (dni) {
      this.form = []
      this.$q.loading.show()
      this.$api.get('SolicitudUser/' + dni).then(res => {
        this.form = res
        console.log('Respuesta', this.form)
        this.title = this.form[0].carrera
        const dates = this.form[0].date
        this.form[0].date = date.formatDate(dates, 'DD/MM/YYYY')
        this.$q.loading.hide()
      })
    }
  },
  mounted () {
    this.getUser(this.$route.params.dni)
  }
}
</script>
